
Redmine - Feature #9195

Fetch issues associations with issues in /issues query

2011-09-06 16:57 - John Karman

Status: New Start date: 2011-09-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I am trying to get all the information from an issue and are actually mostly interested in the relations.

I am building a visualizer for redmine.

In order to be able to get the relations in an effecient manner, it would be nice if

[HOST]/issues.xml?limit=25&project_id=redmine&offset=0&include=relations&key=[YOURKEY]

also returned the relations.

Now I need to thet the full list and then ask the server again for the relations.

History

#1 - 2011-09-06 16:59 - John Karman

Hmm..I could not add relations myself...

This is linked to

http://www.redmine.org/issues/9188

That was closed as it was not a bug but a feature request.

John Karman, Purple Scout

#2 - 2011-09-07 08:10 - Etienne Massip

- Subject changed from get all the relations as part of the GetIssues call in the REST API to Fetch issues associations with issues in /issues query
